Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.virgo.snaps.core
Class SnapHostFilter

    java.lang.Object
      org.eclipse.virgo.snaps.core.SnapHostFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class SnapHostFilter

extends java.lang.Object
implements javax.servlet.Filter

Constructor Summary
`SnapHostFilter()`

Method Summary
`protected SnapRegistry` | `createSnapRegistry(javax.servlet.ServletContext servletContext)`
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`protected org.osgi.framework.BundleContext` | `getRequiredBundleContext(javax.servlet.ServletContext servletContext)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnapHostFilter

    public SnapHostFilter()

Method Detail

### doFilter

    public final void doFilter(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain chain)
                        throws java.io.IOException,
                               javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### init

    public final void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public final void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### createSnapRegistry

    protected SnapRegistry createSnapRegistry(javax.servlet.ServletContext servletContext)
                                       throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getRequiredBundleContext

    protected final org.osgi.framework.BundleContext getRequiredBundleContext(javax.servlet.ServletContext servletContext)
                                                                       throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD